Bug 33426 - UMC server crashes upon login if it is not restarted after the update
UMC server crashes upon login if it is not restarted after the update
Status: VERIFIED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Software update
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Alexander Kläser
Stefan Gohmann
: interim-4
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 15:04 CET by Alexander Kläser
Modified: 2013-11-19 17:28 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2013-11-15 15:04:24 CET
Following scenario:
* Update to 3.2 is launched in UMC module
* User session is timed out
* Upon re-login, the UMC server crashes
Comment 1 Alexander Kläser univentionstaff 2013-11-15 15:57:41 CET
An UMC server update has been added to the end of the updater process.

 univention-updater (9.0.36-1) unstable; urgency=low
 .
   * Bug #33426: restart UMC server after update
Comment 2 Stefan Gohmann univentionstaff 2013-11-15 17:51:22 CET
UMC shows a popup that the relogin is tried, but it does not work. The popup also describe that a simple relogin would be possible at a later point and that works in my tests. A simple F5 shows the login dialog and everything works fine.
Comment 3 Stefan Gohmann univentionstaff 2013-11-15 21:20:19 CET
I've added a redirection for the status messages, otherwise:

Starting update process, this may take a while.
Check /var/log/univention/updater.log for more information.
Running postup.sh script:Restart UMC server components to finish update... restart done
done.
Checking for release updates:                           none
Checking for package updates:                           none
Comment 4 Alexander Kläser univentionstaff 2013-11-18 09:08:30 CET
Login dialogue does not re-appear upon UMC restart → REOPENED
Comment 5 Alexander Kläser univentionstaff 2013-11-18 09:39:56 CET
(In reply to Alexander Kläser from comment #4)
> Login dialogue does not re-appear upon UMC restart → REOPENED

The problem occurs due to incorrect status code handling → Bug 33443

As workaround, the following hint is printed into the log file:

****************************************************
*    THE UPDATE HAS BEEN FINISHED SUCCESSFULLY.    *
* Please make a page reload of UMC and login again *
****************************************************
Comment 6 Alexander Kläser univentionstaff 2013-11-18 09:50:01 CET
I also added a "sleep 10s" before restarting the UMC server. This is to make sure that this note in the updater.log has being transmitted to the client. (Note that the update is running via an at-job.)
Comment 7 Moritz Muehlenhoff univentionstaff 2013-11-18 11:35:18 CET
(In reply to Alexander Kläser from comment #5)
> (In reply to Alexander Kläser from comment #4)
> > Login dialogue does not re-appear upon UMC restart → REOPENED
> 
> The problem occurs due to incorrect status code handling → Bug 33443
> 
> As workaround, the following hint is printed into the log file:
> 
> ****************************************************
> *    THE UPDATE HAS BEEN FINISHED SUCCESSFULLY.    *
> * Please make a page reload of UMC and login again *
> ****************************************************

That message is now displayed.
Comment 8 Stefan Gohmann univentionstaff 2013-11-18 17:55:37 CET
(In reply to Moritz Muehlenhoff from comment #7)
> (In reply to Alexander Kläser from comment #5)
> > (In reply to Alexander Kläser from comment #4)
> > > Login dialogue does not re-appear upon UMC restart → REOPENED
> > 
> > The problem occurs due to incorrect status code handling → Bug 33443
> > 
> > As workaround, the following hint is printed into the log file:
> > 
> > ****************************************************
> > *    THE UPDATE HAS BEEN FINISHED SUCCESSFULLY.    *
> > * Please make a page reload of UMC and login again *
> > ****************************************************
> 
> That message is now displayed.

Hmm, but only via CLI update. I don't see this message in the UMC module.

Please modify the postup.sh script on the download server. The PGP signature must also be re-generated.
Comment 9 Alexander Kläser univentionstaff 2013-11-19 14:06:04 CET
The following change has been made in r46121:

===================================================================
--- script/postup.sh    (Revision 46120)
+++ script/postup.sh    (Arbeitskopie)
@@ -160,7 +160,7 @@
 ****************************************************
 
 
-"
+" >>"$UPDATER_LOG" 2>&1
 
 echo -n "Restart UMC server components to finish update... " >>"$UPDATER_LOG" 2>&1
 sleep 10s
===================================================================

postup.sh + updated signature have been uploaded to testing.univention.de and copied to the 3.2 path (without update_mirror.sh). Tests for testing.univention.de were ok.
Comment 10 Alexander Kläser univentionstaff 2013-11-19 15:32:43 CET
I have not yet called updated_mirror.sh.
Comment 11 Stefan Gohmann univentionstaff 2013-11-19 17:28:24 CET
(In reply to Alexander Kläser from comment #10)
> I have not yet called updated_mirror.sh.

OK